import { JSX } from 'solid-js';
export interface UploaderExplorerProps extends JSX.HTMLAttributes<HTMLDivElement> {
}
export declare const UploadExplorer: import("solid-js").Component<Omit<UploaderExplorerProps, "style" | "class"> & {
    ref?: HTMLElement | ((el: HTMLElement) => void);
    style?: string | JSX.CSSProperties;
    className?: string | string[] | typeof import("@cn-ui/use").classNames;
    class?: string | string[] | typeof import("@cn-ui/use").classNames;
    classList?: typeof import("@cn-ui/use").classNames | {
        [k: string]: boolean;
    };
}>;
